API Reference / Predefined Items
/predefined_items Create a new predefined item
Creates a predefined item. name is required and must be unique on the account; description, cost and price are optional. Requires the deal items permission. Accounts are capped at 1000 predefined items.
Request body
namestringName of the predefined item
descriptionstringDescription text of the predefined item
costnumberfloatCost of the predefined item (if deals costs are enabled)
pricenumberfloatPrice of the predefined item
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
predefined_itemobjectA user-configured item which can aid in the creation of deal items
object fields →
idstringbson-idID of the predefined item
namestringName of the predefined item
descriptionstringDescription text of the predefined item
costnumberfloatCost of the predefined item
pricenumberfloatPrice of the predefined item
positionintegerint32Position of the predefined item in the items list
item_group_idstringbson-idID of the predefined item group (or empty if the item is not in a group)
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.